This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 432675 - bonding: INFO: possible irq lock inversion dependency detected
bonding: INFO: possible irq lock inversion dependency detected
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 14:04 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 14:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel trace (162.30 KB, text/plain)
2008-02-13 14:04 EST, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-02-13 14:04:45 EST
Description of problem:

See attached.

Version-Release number of selected component (if applicable):

2.6.24.1-31.fc9
Comment 1 Bill Nottingham 2008-02-13 14:04:45 EST
Created attachment 294821 [details]
kernel trace
Comment 2 Andy Gospodarek 2008-02-13 14:21:05 EST
This has already been fixed upstream and is in Linus' tree:


commit 80ee5ad23150f1f3fe8d35728e860850ccea44da
Author: Jay Vosburgh <fubar@us.ibm.com>
Date:   Tue Jan 29 18:07:44 2008 -0800

    bonding: fix set_multicast_list locking

        This patch eliminates a problem (reported by lockdep) in the
    bond_set_multicast_list function.  It first reduces the locking on
    bond->lock to a simple read_lock, and second, adds netif_tx locking
    around the bonding mc_list manipulations that occur outside of the
    set_multicast_list function.

        The original problem was related to IPv6 addrconf activity.

Note You need to log in before you can comment on or make changes to this bug.